]> git.saurik.com Git - wxWidgets.git/blobdiff - configure
fixes #12935
[wxWidgets.git] / configure
index 14b609c3fe8d1ad11b0ea6c2c6d0ec27184d9b14..fea56a821e71518775c67bbe48934e2fae7c2100 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Id.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for wxWidgets 2.9.1.
+# Generated by GNU Autoconf 2.61 for wxWidgets 2.9.2.
 #
 # Report bugs to <wx-dev@lists.wxwidgets.org>.
 #
@@ -575,8 +575,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='wxWidgets'
 PACKAGE_TARNAME='wxwidgets'
-PACKAGE_VERSION='2.9.1'
-PACKAGE_STRING='wxWidgets 2.9.1'
+PACKAGE_VERSION='2.9.2'
+PACKAGE_STRING='wxWidgets 2.9.2'
 PACKAGE_BUGREPORT='wx-dev@lists.wxwidgets.org'
 
 ac_unique_file="wx-config.in"
@@ -677,6 +677,7 @@ CXXFLAGS
 ac_ct_CXX
 AR
 OSX_SW_VERS
+CXXCPP
 subdirs
 PKG_CONFIG
 GTK_CFLAGS
@@ -889,6 +890,8 @@ COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0
 COND_PLATFORM_MACOSX_1_USE_GUI_1
 COND_PLATFORM_MACOSX_1_USE_OPENGL_1
 COND_PLATFORM_MACOSX_1_USE_SOVERSION_1
@@ -950,6 +953,8 @@ COND_TOOLKIT_OSX_CARBON_USE_GUI_1
 COND_TOOLKIT_OSX_COCOA
 COND_TOOLKIT_OSX_COCOA_USE_GUI_1
 COND_TOOLKIT_OSX_IPHONE
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0
 COND_TOOLKIT_PM
 COND_TOOLKIT_PM_USE_GUI_1
 COND_TOOLKIT_PM_USE_GUI_1_WXUNIV_0
@@ -1063,6 +1068,7 @@ CPP
 CXX
 CXXFLAGS
 CCC
+CXXCPP
 PKG_CONFIG
 DIRECTFB_CFLAGS
 DIRECTFB_LIBS
@@ -1590,7 +1596,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures wxWidgets 2.9.1 to adapt to many kinds of systems.
+\`configure' configures wxWidgets 2.9.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1659,7 +1665,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of wxWidgets 2.9.1:";;
+     short | recursive ) echo "Configuration of wxWidgets 2.9.2:";;
    esac
   cat <<\_ACEOF
 
@@ -1699,7 +1705,8 @@ Optional Features:
   --enable-permissive     compile code disregarding strict ANSI
   --enable-no_deps        create code without dependency information
   --disable-vararg_macros don't use vararg macros, even if they are supported
-  --enable-universal_binary  create Mac PowerPC and Intel Universal binary
+  --enable-universal_binary  create universal binary with Mac PPC and i386 (and x86_64 if using Cocoa) architectures
+  --enable-macosx_arch=ARCH  build for just the specified architecture
   --enable-compat26       enable wxWidgets 2.6 compatibility
   --disable-compat28      disable wxWidgets 2.8 compatibility
   --disable-rpath         disable use of rpath for uninstalled builds
@@ -1736,6 +1743,7 @@ Optional Features:
   --enable-exceptions     build exception-safe library
   --enable-ffile          use wxFFile class
   --enable-file           use wxFile class
+  --enable-filehistory    use wxFileHistory class
   --enable-filesystem     use virtual file systems classes
   --enable-fontenum       use wxFontEnumerator class
   --enable-fontmap        use font encodings conversion classes
@@ -1798,6 +1806,8 @@ Optional Features:
   --disable-controls      disable compilation of all standard controls
   --enable-accel          use accelerators
   --enable-animatectrl    use wxAnimationCtrl class
+  --enable-artstd         use standard XPM icons in wxArtProvider
+  --enable-arttango       use Tango icons in wxArtProvider
   --enable-bmpbutton      use wxBitmapButton class
   --enable-bmpcombobox    use wxBitmapComboBox class
   --enable-button         use wxButton class
@@ -1811,6 +1821,7 @@ Optional Features:
   --enable-colourpicker   use wxColourPickerCtrl class
   --enable-combobox       use wxComboBox class
   --enable-comboctrl      use wxComboCtrl class
+  --enable-commandlinkbutton      use wxCommmandLinkButton class
   --enable-dataviewctrl   use wxDataViewCtrl class
   --enable-datepick       use wxDatePickerCtrl class
   --enable-detect_sm      use code to detect X11 session manager
@@ -1835,6 +1846,7 @@ Optional Features:
   --enable-popupwin       use wxPopUpWindow class
   --enable-radiobox       use wxRadioBox class
   --enable-radiobtn       use wxRadioButton class
+  --enable-richmsgdlg     use wxRichMessageDialog class
   --enable-rearrangectrl  use wxRearrangeList/Ctrl/Dialog
   --enable-sash           use wxSashWindow class
   --enable-scrollbar      use wxScrollBar class and scrollable windows
@@ -1883,6 +1895,7 @@ Optional Features:
   --enable-metafiles      use wxMetaFile (Win32 only)
   --enable-dragimage      use wxDragImage
   --enable-accessibility  enable accessibility support
+  --enable-uiactionsim    use wxUIActionSimulator (experimental)
   --enable-palette        use wxPalette class
   --enable-image          use wxImage class
   --enable-gif            use gif images (GIF file format)
@@ -1971,6 +1984,7 @@ Some influential environment variables:
   CPP         C preprocessor
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
+  CXXCPP      C++ preprocessor
   PKG_CONFIG  path to pkg-config utility
   DIRECTFB_CFLAGS
               C compiler flags for DIRECTFB, overriding pkg-config
@@ -2077,7 +2091,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-wxWidgets configure 2.9.1
+wxWidgets configure 2.9.2
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -2091,7 +2105,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by wxWidgets $as_me 2.9.1, which was
+It was created by wxWidgets $as_me 2.9.2, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2573,7 +2587,7 @@ fi
 
 wx_major_version_number=2
 wx_minor_version_number=9
-wx_release_number=1
+wx_release_number=2
 wx_subrelease_number=0
 
 WX_RELEASE=$wx_major_version_number.$wx_minor_version_number
@@ -2698,6 +2712,14 @@ _ACEOF
 
     DEFAULT_DEFAULT_wxUSE_MOTIF=1
   ;;
+  *-*-qnx*)
+    USE_QNX=1
+    cat >>confdefs.h <<\_ACEOF
+#define __QNX__ 1
+_ACEOF
+
+    DEFAULT_DEFAULT_wxUSE_X11=1
+  ;;
   *-*-solaris2* )
     USE_SUN=1
     USE_SOLARIS=1
@@ -2962,6 +2984,7 @@ DEFAULT_wxUSE_ACCESSIBILITY=no
 DEFAULT_wxUSE_IPV6=no
 DEFAULT_wxUSE_GSTREAMER8=no
 
+DEFAULT_wxUSE_ARTPROVIDER_TANGO=auto
 DEFAULT_wxUSE_UNICODE_UTF8=auto
 DEFAULT_wxUSE_OPENGL=auto
 DEFAULT_wxUSE_MEDIACTRL=auto
@@ -2970,6 +2993,7 @@ DEFAULT_wxUSE_COMPILER_TLS=auto
 DEFAULT_wxUSE_UNICODE_UTF8_LOCALE=no
 
 DEFAULT_wxUSE_UNIVERSAL_BINARY=no
+DEFAULT_wxUSE_MAC_ARCH=no
 
 DEFAULT_wxUSE_OFFICIAL_BUILD=no
 
@@ -3261,7 +3285,8 @@ echo "${ECHO_T}$result" >&6; }
 
 
 if test "$wxUSE_ALL_FEATURES" = "no"; then
-                    DEFAULT_wxUSE_MEDIACTRL=no
+                    DEFAULT_wxUSE_ARTPROVIDER_TANGO=no
+    DEFAULT_wxUSE_MEDIACTRL=no
 fi
 
 
@@ -3595,8 +3620,10 @@ echo "$as_me: error: Please specify at most one toolkit" >&2;}
     # to be removed when --disable-gtk2 isn't needed
     if test "x$wxUSE_GTK2" = "xyes"; then
         wxGTK_VERSION=2
+        wxUSE_GTK1=0
     elif test "x$wxUSE_GTK2" = "xno"; then
         wxGTK_VERSION=1
+        wxUSE_GTK1=1
     fi
 
     for toolkit in $ALL_TOOLKITS; do
@@ -5389,6 +5416,7 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
+
           enablestring=
           { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-universal_binary" >&5
 echo $ECHO_N "checking for --${enablestring:-enable}-universal_binary... $ECHO_C" >&6; }
@@ -5410,6 +5438,27 @@ fi
 echo "${ECHO_T}$wxUSE_UNIVERSAL_BINARY" >&6; }
 
 
+          enablestring=
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-macosx_arch" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-macosx_arch... $ECHO_C" >&6; }
+          # Check whether --enable-macosx_arch was given.
+if test "${enable_macosx_arch+set}" = set; then
+  enableval=$enable_macosx_arch;
+                          wx_cv_use_macosx_arch="wxUSE_MAC_ARCH='$enableval'"
+
+else
+
+                          wx_cv_use_macosx_arch='wxUSE_MAC_ARCH='$DEFAULT_wxUSE_MAC_ARCH
+
+fi
+
+
+          eval "$wx_cv_use_macosx_arch"
+
+          { echo "$as_me:$LINENO: result: $wxUSE_MAC_ARCH" >&5
+echo "${ECHO_T}$wxUSE_MAC_ARCH" >&6; }
+
+
 
           enablestring=
           defaultval=
@@ -7004,6 +7053,50 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-filehistory" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-filehistory... $ECHO_C" >&6; }
+          # Check whether --enable-filehistory was given.
+if test "${enable_filehistory+set}" = set; then
+  enableval=$enable_filehistory;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_filehistory='wxUSE_FILE_HISTORY=yes'
+                          else
+                            wx_cv_use_filehistory='wxUSE_FILE_HISTORY=no'
+                          fi
+
+else
+
+                          wx_cv_use_filehistory='wxUSE_FILE_HISTORY=${'DEFAULT_wxUSE_FILE_HISTORY":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_filehistory"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_FILE_HISTORY = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_FILE_HISTORY
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
@@ -9674,6 +9767,7 @@ if test "$wxUSE_CONTROLS" = "no"; then
     DEFAULT_wxUSE_COLOURPICKERCTRL=no
     DEFAULT_wxUSE_COMBOBOX=no
     DEFAULT_wxUSE_COMBOBOX=no
+    DEFAULT_wxUSE_COMMANDLINKBUTTON=no
     DEFAULT_wxUSE_DATAVIEWCTRL=no
     DEFAULT_wxUSE_DATEPICKCTRL=no
     DEFAULT_wxUSE_DETECT_SM=no
@@ -9694,6 +9788,7 @@ if test "$wxUSE_CONTROLS" = "no"; then
     DEFAULT_wxUSE_POPUPWIN=no
     DEFAULT_wxUSE_RADIOBOX=no
     DEFAULT_wxUSE_RADIOBTN=no
+    DEFAULT_wxUSE_RICHMSGDLG=no
     DEFAULT_wxUSE_REARRANGECTRL=no
     DEFAULT_wxUSE_SASH=no
     DEFAULT_wxUSE_SCROLLBAR=no
@@ -9805,6 +9900,94 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-artstd" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-artstd... $ECHO_C" >&6; }
+          # Check whether --enable-artstd was given.
+if test "${enable_artstd+set}" = set; then
+  enableval=$enable_artstd;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_artstd='wxUSE_ARTPROVIDER_STD=yes'
+                          else
+                            wx_cv_use_artstd='wxUSE_ARTPROVIDER_STD=no'
+                          fi
+
+else
+
+                          wx_cv_use_artstd='wxUSE_ARTPROVIDER_STD=${'DEFAULT_wxUSE_ARTPROVIDER_STD":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_artstd"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_ARTPROVIDER_STD = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_ARTPROVIDER_STD
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-arttango" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-arttango... $ECHO_C" >&6; }
+          # Check whether --enable-arttango was given.
+if test "${enable_arttango+set}" = set; then
+  enableval=$enable_arttango;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_arttango='wxUSE_ARTPROVIDER_TANGO=yes'
+                          else
+                            wx_cv_use_arttango='wxUSE_ARTPROVIDER_TANGO=no'
+                          fi
+
+else
+
+                          wx_cv_use_arttango='wxUSE_ARTPROVIDER_TANGO=${'DEFAULT_wxUSE_ARTPROVIDER_TANGO":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_arttango"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_ARTPROVIDER_TANGO = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_ARTPROVIDER_TANGO
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-commandlinkbutton" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-commandlinkbutton... $ECHO_C" >&6; }
+          # Check whether --enable-commandlinkbutton was given.
+if test "${enable_commandlinkbutton+set}" = set; then
+  enableval=$enable_commandlinkbutton;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_commandlinkbutton='wxUSE_COMMANDLINKBUTTON=yes'
+                          else
+                            wx_cv_use_commandlinkbutton='wxUSE_COMMANDLINKBUTTON=no'
+                          fi
+
+else
+
+                          wx_cv_use_commandlinkbutton='wxUSE_COMMANDLINKBUTTON=${'DEFAULT_wxUSE_COMMANDLINKBUTTON":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_commandlinkbutton"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_COMMANDLINKBUTTON = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_COMMANDLINKBUTTON
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-richmsgdlg" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-richmsgdlg... $ECHO_C" >&6; }
+          # Check whether --enable-richmsgdlg was given.
+if test "${enable_richmsgdlg+set}" = set; then
+  enableval=$enable_richmsgdlg;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_richmsgdlg='wxUSE_RICHMSGDLG=yes'
+                          else
+                            wx_cv_use_richmsgdlg='wxUSE_RICHMSGDLG=no'
+                          fi
+
+else
+
+                          wx_cv_use_richmsgdlg='wxUSE_RICHMSGDLG=${'DEFAULT_wxUSE_RICHMSGDLG":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_richmsgdlg"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_RICHMSGDLG = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_RICHMSGDLG
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-uiactionsim" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-uiactionsim... $ECHO_C" >&6; }
+          # Check whether --enable-uiactionsim was given.
+if test "${enable_uiactionsim+set}" = set; then
+  enableval=$enable_uiactionsim;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_uiactionsim='wxUSE_UIACTIONSIMULATOR=yes'
+                          else
+                            wx_cv_use_uiactionsim='wxUSE_UIACTIONSIMULATOR=no'
+                          fi
+
+else
+
+                          wx_cv_use_uiactionsim='wxUSE_UIACTIONSIMULATOR=${'DEFAULT_wxUSE_UIACTIONSIMULATOR":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_uiactionsim"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_UIACTIONSIMULATOR = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_UIACTIONSIMULATOR
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
 
 
           enablestring=
 rm -f confcache
 
 CFLAGS=${CFLAGS:=}
-
-
-
-    ac_ext=c
+ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -15221,6 +15533,10 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
+
+
+
+
     ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 
 
 CXXFLAGS=${CXXFLAGS:=}
-
-
-
-    ac_ext=cpp
+ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -17134,6 +17447,10 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
+
+
+
+
     ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -18347,6 +18664,11 @@ if test "$wxUSE_MAC" = 1; then
 
 retest_macosx_linking=no
 
+OSX_ARCH_OPTS=""
+if test "x$wxUSE_MAC_ARCH" != xno; then
+    OSX_ARCH_OPTS="-arch $wxUSE_MAC_ARCH"
+fi
+
     if test "x$wxUSE_UNIVERSAL_BINARY" != xno ; then
                         if test "x$wxUSE_UNIVERSAL_BINARY" == xyes; then
             # Implicitly turn on the new --with-macosx-sdk using the default
@@ -18378,12 +18700,15 @@ See \`config.log' for more details." >&2;}
 echo "$as_me: WARNING: Please use --with-macosx-sdk=PATH and --enable-universal_binary without an argument" >&2;}
             fi
         fi
-                OSX_UNIV_OPTS="-arch ppc -arch i386"
-        CXXFLAGS="$OSX_UNIV_OPTS $CXXFLAGS"
-        CFLAGS="$OSX_UNIV_OPTS $CFLAGS"
-        OBJCXXFLAGS="$OSX_UNIV_OPTS $OBJCXXFLAGS"
-        OBJCFLAGS="$OSX_UNIV_OPTS $OBJCFLAGS"
-        LDFLAGS="$OSX_UNIV_OPTS $LDFLAGS"
+                OSX_ARCH_OPTS="-arch ppc -arch i386"
+       if test "$wxUSE_OSX_COCOA" = 1; then
+            OSX_ARCH_OPTS="$OSX_ARCH_OPTS -arch x86_64"
+        fi
+        { echo "$as_me:$LINENO: checking for universal binary architectures" >&5
+echo $ECHO_N "checking for universal binary architectures... $ECHO_C" >&6; }
+       { echo "$as_me:$LINENO: result: $OSX_ARCH_OPTS" >&5
+echo "${ECHO_T}$OSX_ARCH_OPTS" >&6; }
+
                                                                                                                 retest_macosx_linking=yes
 
                                         { echo "$as_me:$LINENO: WARNING: Disabling precompiled headers due to universal binary build." >&5
@@ -18391,6 +18716,12 @@ echo "$as_me: WARNING: Disabling precompiled headers due to universal binary bui
         bk_use_pch=no
     fi
 
+CXXFLAGS="$OSX_ARCH_OPTS $CXXFLAGS"
+CFLAGS="$OSX_ARCH_OPTS $CFLAGS"
+OBJCXXFLAGS="$OSX_ARCH_OPTS $OBJCXXFLAGS"
+OBJCFLAGS="$OSX_ARCH_OPTS $OBJCFLAGS"
+LDFLAGS="$OSX_ARCH_OPTS $LDFLAGS"
+
 if test "x$wxUSE_MACOSX_SDK" = "xno"; then
     wxUSE_MACOSX_SDK=
 elif test "x$wxUSE_MACOSX_SDK" = "xyes"; then
@@ -18545,7 +18876,11 @@ if test "x$NEEDS_GCC40" == "xyes"; then
 fi
 
 if test "x$wxUSE_MACOSX_VERSION_MIN" != "x"; then
-    MACOSX_VERSION_MIN_OPTS="-mmacosx-version-min=$wxUSE_MACOSX_VERSION_MIN"
+    if test "$wxUSE_OSX_IPHONE" = 1; then
+        MACOSX_VERSION_MIN_OPTS="-miphoneos-version-min=$wxUSE_MACOSX_VERSION_MIN"
+    else
+        MACOSX_VERSION_MIN_OPTS="-mmacosx-version-min=$wxUSE_MACOSX_VERSION_MIN"
+    fi
     eval "CC=\"$CC $MACOSX_VERSION_MIN_OPTS\""
     eval "CXX=\"$CXX $MACOSX_VERSION_MIN_OPTS\""
     eval "LD=\"$LD $MACOSX_VERSION_MIN_OPTS\""
@@ -23676,11 +24011,15 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-if test "$ac_cv_sizeof_wchar_t" != 0; then
-    wxUSE_WCHAR_T=yes
-else
-    wxUSE_WCHAR_T=no
+if test "$ac_cv_sizeof_wchar_t" = 0; then
+    { { echo "$as_me:$LINENO: error: wxWidgets requires wchar_t support." >&5
+echo "$as_me: error: wxWidgets requires wchar_t support." >&2;}
+   { (exit 1); exit 1; }; }
 fi
+cat >>confdefs.h <<\_ACEOF
+#define wxUSE_WCHAR_T 1
+_ACEOF
+
 
 { echo "$as_me:$LINENO: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6; }
@@ -24691,56 +25030,188 @@ if test "x$SUNCC" = xyes; then
 fi
 
 if test "x$SGICC" = "xyes"; then
-    CFLAGS="-woff 3970 $CFLAGS"
-fi
-if test "x$SGICXX" = "xyes"; then
-    CXXFLAGS="-woff 3970 $CXXFLAGS"
-fi
+    { echo "$as_me:$LINENO: checking if cc version is 7.4.4 or greater" >&5
+echo $ECHO_N "checking if cc version is 7.4.4 or greater... $ECHO_C" >&6; }
+if test "${wx_cv_prog_sgicc744+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+            cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+                    #if _SGI_COMPILER_VERSION >= 744
+                    chock me: mipsPro is 7.4.4 or later
+                    #endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  wx_cv_prog_sgicc744=no
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       wx_cv_prog_sgicc744=yes
 
-if test "x$HPCC" = "xyes"; then
-                    CFLAGS="+W 2011,2450 $CFLAGS"
 fi
-if test "x$HPCXX" = "xyes"; then
-                            CXXFLAGS="+W 2340,4232 $CXXFLAGS"
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+
 fi
+{ echo "$as_me:$LINENO: result: $wx_cv_prog_sgicc744" >&5
+echo "${ECHO_T}$wx_cv_prog_sgicc744" >&6; }
 
-if test "x$COMPAQCXX" = "xyes"; then
-                                CXXFLAGS="-w0 -msg_disable basclsnondto,unrimpret,intconlosbit"
+    if test "x$wx_cv_prog_sgicc744" = "xyes"; then
+        CFLAGS="-woff 3970 $CFLAGS"
+    fi
 fi
+if test "x$SGICXX" = "xyes"; then
+    { echo "$as_me:$LINENO: checking if CC version is 7.4.4 or greater" >&5
+echo $ECHO_N "checking if CC version is 7.4.4 or greater... $ECHO_C" >&6; }
+if test "${wx_cv_prog_sgicxx744+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
 
-ac_ext=cpp
+            ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
-
-if test "$wxUSE_STD_STRING" = "yes" -o "$wxUSE_STL" = "yes"; then
-    if test "$wxUSE_UNICODE" = "yes"; then
-        std_string="std::wstring"
-        char_type="wchar_t"
-    else
-        std_string="std::string"
-        char_type="char"
-    fi
-
-        { echo "$as_me:$LINENO: checking for $std_string in <string>" >&5
-echo $ECHO_N "checking for $std_string in <string>... $ECHO_C" >&6; }
-if test "${wx_cv_class_stdstring+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
             cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <string>
+
 int
 main ()
 {
-$std_string foo;
+
+                    #if _SGI_COMPILER_VERSION >= 744
+                    chock me: mipsPro is 7.4.4 or later
+                    #endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  wx_cv_prog_sgicxx744=no
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       wx_cv_prog_sgicxx744=yes
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+            ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+
+fi
+{ echo "$as_me:$LINENO: result: $wx_cv_prog_sgicxx744" >&5
+echo "${ECHO_T}$wx_cv_prog_sgicxx744" >&6; }
+
+    if test "x$wx_cv_prog_sgicxx744" = "xyes"; then
+        CXXFLAGS="-woff 3970 $CXXFLAGS"
+    fi
+fi
+
+if test "x$HPCC" = "xyes"; then
+                    CFLAGS="+W 2011,2450 $CFLAGS"
+fi
+if test "x$HPCXX" = "xyes"; then
+                            CXXFLAGS="+W 2340,4232 $CXXFLAGS"
+fi
+
+if test "x$COMPAQCXX" = "xyes"; then
+                                CXXFLAGS="-w0 -msg_disable basclsnondto,unrimpret,intconlosbit"
+fi
+
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+
+if test "$wxUSE_STD_STRING" = "yes" -o "$wxUSE_STL" = "yes"; then
+    if test "$wxUSE_UNICODE" = "yes"; then
+        std_string="std::wstring"
+        char_type="wchar_t"
+    else
+        std_string="std::string"
+        char_type="char"
+    fi
+
+        { echo "$as_me:$LINENO: checking for $std_string in <string>" >&5
+echo $ECHO_N "checking for $std_string in <string>... $ECHO_C" >&6; }
+if test "${wx_cv_class_stdstring+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+            cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <string>
+int
+main ()
+{
+$std_string foo;
   ;
   return 0;
 }
     fi
 fi
 
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
+echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
+if test -z "$CXXCPP"; then
+  if test "${ac_cv_prog_CXXCPP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+      # Double quotes because CXXCPP needs to be expanded
+    for CXXCPP in "$CXX -E" "/lib/cpp"
+    do
+      ac_preproc_ok=false
+for ac_cxx_preproc_warn_flag in '' yes
+do
+  # Use a header file that comes with gcc, so configuring glibc
+  # with a fresh cross-compiler works.
+  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+  # <limits.h> exists even on freestanding compilers.
+  # On the NeXT, cc -E runs the code through the compiler's parser,
+  # not just through cpp. "Syntax error" is here to catch this case.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+                    Syntax error
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Broken: fails on valid input.
+continue
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+  # OK, works on sane cases.  Now check whether nonexistent headers
+  # can be detected and how.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ac_nonexistent.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  # Broken: success on invalid input.
+continue
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+  break
+fi
+
+    done
+    ac_cv_prog_CXXCPP=$CXXCPP
+
+fi
+  CXXCPP=$ac_cv_prog_CXXCPP
+else
+  ac_cv_prog_CXXCPP=$CXXCPP
+fi
+{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
+echo "${ECHO_T}$CXXCPP" >&6; }
+ac_preproc_ok=false
+for ac_cxx_preproc_warn_flag in '' yes
+do
+  # Use a header file that comes with gcc, so configuring glibc
+  # with a fresh cross-compiler works.
+  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+  # <limits.h> exists even on freestanding compilers.
+  # On the NeXT, cc -E runs the code through the compiler's parser,
+  # not just through cpp. "Syntax error" is here to catch this case.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+                    Syntax error
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Broken: fails on valid input.
+continue
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+  # OK, works on sane cases.  Now check whether nonexistent headers
+  # can be detected and how.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ac_nonexistent.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  # Broken: success on invalid input.
+continue
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
+See \`config.log' for more details." >&5
+echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+
+
+
+for ac_header in type_traits tr1/type_traits
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------- ##
+## Report this to wx-dev@lists.wxwidgets.org ##
+## ----------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
 
 
   if test -n "$GCC"; then
@@ -25837,7 +26682,7 @@ if test "$build" != "$host" -a "$GCC" = yes; then
                                 if test -z "$x_includes" -o "$x_includes" = NONE; then
 
 ac_find_includes=
-for ac_dir in $SEARCH_INCLUDE /usr/include;
+for ac_dir in $SEARCH_INCLUDE /usr/include
   do
     if test -f "$ac_dir/X11/Intrinsic.h"; then
       ac_find_includes=$ac_dir
@@ -25850,7 +26695,7 @@ for ac_dir in $SEARCH_INCLUDE /usr/include;
         if test -z "$x_libraries" -o "$x_libraries" = NONE; then
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libXt.$ac_extension"; then
@@ -28039,19 +28884,6 @@ echo "$as_me: WARNING: system tiff library not found, will use built-in instead"
 fi
 
 
-if test "$wxUSE_WCHAR_T" != "yes"; then
-    if test "$wxUSE_EXPAT" != "no"; then
-        { echo "$as_me:$LINENO: WARNING: wxWidgets requires wchar_t to use expat, disabling" >&5
-echo "$as_me: WARNING: wxWidgets requires wchar_t to use expat, disabling" >&2;}
-        wxUSE_EXPAT=no
-    fi
-    if test "$wxUSE_XML" != "no"; then
-        { echo "$as_me:$LINENO: WARNING: wxWidgets requires wchar_t to use xml, disabling" >&5
-echo "$as_me: WARNING: wxWidgets requires wchar_t to use xml, disabling" >&2;}
-        wxUSE_XML=no
-    fi
-fi
-
 if test "$wxUSE_EXPAT" != "no"; then
     wxUSE_XML=yes
     cat >>confdefs.h <<\_ACEOF
 
 
 
-            case "${host}" in
+    LIBS="$LIBS -lwinspool -lwinmm -lshell32 -lcomctl32 -lcomdlg32 -ladvapi32 -lwsock32 -lgdi32"
+    case "${host}" in
         x86_64-*-mingw32* )
-                        LIBS="$LIBS -lwinspool -lwinmm -lshell32 -lcomctl32 -lcomdlg32 -lwctl3d32 -ladvapi32 -lwsock32 -lgdi32"
-
                                                 WINDRES_CPU_DEFINE="--define WX_CPU_AMD64"
         ;;
-        * )
-            LIBS="$LIBS -lwinspool -lwinmm -lshell32 -lcomctl32 -lcomdlg32 -lctl3d32 -ladvapi32 -lwsock32 -lgdi32"
-        ;;
     esac
     if test "$wxUSE_ACCESSIBILITY" = "yes" ; then
         LIBS="$LIBS -loleacc"
                         LIBS="$LIBS -lkernel32 -luser32"
     esac
 
-        RESFLAGS="--include-dir \$(top_srcdir)/include --include-dir \$(top_srcdir)/\$(program_dir) --define __WIN32__ --define __WIN95__ --define __GNUWIN32__"
+        RESFLAGS="--include-dir \$(top_srcdir)/include --include-dir \$(top_srcdir)/\$(program_dir) --define __WIN32__ --define __WIN95__ --define __GNUWIN32__ $WINDRES_CPU_DEFINE"
     RESPROGRAMOBJ="\$(PROGRAM)_resources.o"
 
-                WXCONFIG_RESFLAGS="--define __WIN32__ --define __WIN95__ --define __GNUWIN32__"
+                WXCONFIG_RESFLAGS="--define __WIN32__ --define __WIN95__ --define __GNUWIN32__ $WINDRES_CPU_DEFINE"
 
         WIN32INSTALL=win32install
 
@@ -29649,7 +30477,7 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
                                         wx_cv_lib_gtk=none
                 else
                                                             wx_cv_cflags_gtk=$GTK_CFLAGS
-                    wx_cv_libs_gtk=`echo $GTK_LIBS | sed -e 's/ -l[^ ]*cairo[^ ]*//g'`
+                    wx_cv_libs_gtk=$GTK_LIBS
                 fi
 
 
@@ -30088,7 +30916,7 @@ done
 echo $ECHO_N "checking for gpewidget library... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libgpewidget.$ac_extension"; then
@@ -32283,7 +33111,7 @@ done
 echo $ECHO_N "checking for Motif/Lesstif headers... $ECHO_C" >&6; }
 
 ac_find_includes=
-for ac_dir in $SEARCH_INCLUDE /usr/include;
+for ac_dir in $SEARCH_INCLUDE /usr/include
   do
     if test -f "$ac_dir/Xm/Xm.h"; then
       ac_find_includes=$ac_dir
@@ -32378,7 +33206,7 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 echo $ECHO_N "checking for Motif/Lesstif library... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libXm.$ac_extension"; then
@@ -32782,7 +33610,7 @@ _ACEOF
 echo $ECHO_N "checking for Xpm library... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libXpm.$ac_extension"; then
 done
 
 
-for ac_header in X11/XKBlib.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+for ac_header in X11/XKBlib.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+                          #if HAVE_X11_XLIB_H
+                            #include <X11/Xlib.h>
+                          #endif
+
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Header=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+    fi
+fi
+
+
+
+USE_XINERAMA=0
+if test "$wxUSE_DISPLAY" = "yes"; then
+        if test "$wxUSE_MOTIF" = 1 -o "$wxUSE_X11" = 1 -o "$wxUSE_GTK1" = 1; then
+        { echo "$as_me:$LINENO: checking for Xinerama" >&5
+echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6; }
+
+  ac_find_libraries=
+  for ac_dir in $SEARCH_LIB
+  do
+    for ac_extension in a so sl dylib dll.a; do
+      if test -f "$ac_dir/libXinerama.$ac_extension"; then
+        ac_find_libraries=$ac_dir
+        break 2
+      fi
+    done
+  done
+
+        if test "$ac_find_libraries" != "" ; then
+
+    if test "$ac_find_libraries" = "default location"; then
+    ac_path_to_link=""
+  else
+    echo "$LDFLAGS" | grep "\-L$ac_find_libraries" > /dev/null
+    result=$?
+    if test $result = 0; then
+      ac_path_to_link=""
+    else
+      ac_path_to_link=" -L$ac_find_libraries"
+    fi
+  fi
+
+            if test "$ac_path_to_link" != " -L/usr/lib" ; then
+                LDFLAGS="$LDFLAGS $ac_path_to_link"
+            fi
+            USE_XINERAMA=1
+            GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXinerama"
+            { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+        else
+            { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+            { echo "$as_me:$LINENO: WARNING: Xinerama not found; disabling wxDisplay" >&5
+echo "$as_me: WARNING: Xinerama not found; disabling wxDisplay" >&2;}
+            wxUSE_DISPLAY="no"
+        fi
+    elif test "$wxUSE_MSW" = 1; then
+                { echo "$as_me:$LINENO: checking for ddraw.h" >&5
+echo $ECHO_N "checking for ddraw.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_ddraw_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -33255,13 +34192,9 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
+#include <windows.h>
 
-                          #if HAVE_X11_XLIB_H
-                            #include <X11/Xlib.h>
-                          #endif
-
-
-#include <$ac_header>
+#include <ddraw.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -33280,75 +34213,30 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  eval "$as_ac_Header=yes"
+  ac_cv_header_ddraw_h=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       eval "$as_ac_Header=no"
+       ac_cv_header_ddraw_h=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_ddraw_h" >&5
+echo "${ECHO_T}$ac_cv_header_ddraw_h" >&6; }
 
-done
 
     fi
 fi
 
-
-
 if test "$wxUSE_DISPLAY" = "yes"; then
-    if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1 -a "$wxUSE_OLD_COCOA" != 1; then
-        { echo "$as_me:$LINENO: checking for Xinerama" >&5
-echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6; }
-
-  ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
-  do
-    for ac_extension in a so sl dylib dll.a; do
-      if test -f "$ac_dir/libXinerama.$ac_extension"; then
-        ac_find_libraries=$ac_dir
-        break 2
-      fi
-    done
-  done
-
-        if test "$ac_find_libraries" != "" ; then
-
-    if test "$ac_find_libraries" = "default location"; then
-    ac_path_to_link=""
-  else
-    echo "$LDFLAGS" | grep "\-L$ac_find_libraries" > /dev/null
-    result=$?
-    if test $result = 0; then
-      ac_path_to_link=""
-    else
-      ac_path_to_link=" -L$ac_find_libraries"
-    fi
-  fi
-
-            if test "$ac_path_to_link" != " -L/usr/lib" ; then
-                LDFLAGS="$LDFLAGS $ac_path_to_link"
-            fi
-            GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXinerama"
-            { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-
-            { echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
+        if test "$USE_XINERAMA" = 1 -o "$wxUSE_GTK" = 1; then
+        { echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
 echo $ECHO_N "checking for Xxf86vm extension... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libXxf86vm.$ac_extension"; then
@@ -33358,8 +34246,8 @@ echo $ECHO_N "checking for Xxf86vm extension... $ECHO_C" >&6; }
     done
   done
 
-            if test "$ac_find_libraries" != "" ; then
-                { echo "$as_me:$LINENO: result: yes" >&5
+        if test "$ac_find_libraries" != "" ; then
+            { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 for ac_header in X11/extensions/xf86vmode.h
@@ -33377,9 +34265,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                      #if HAVE_X11_XLIB_H
-                                        #include <X11/Xlib.h>
-                                      #endif
+                                  #if HAVE_X11_XLIB_H
+                                    #include <X11/Xlib.h>
+                                  #endif
 
 
 #include <$ac_header>
@@ -33419,71 +34307,16 @@ if test `eval echo '${'$as_ac_Header'}'` = yes; then
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
 
-                                  GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXxf86vm"
+                              GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXxf86vm"
 
 fi
 
 done
 
-            else
-                { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-            fi
-
         else
             { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-            { echo "$as_me:$LINENO: WARNING: Xinerama not found; disabling wxDisplay" >&5
-echo "$as_me: WARNING: Xinerama not found; disabling wxDisplay" >&2;}
-            wxUSE_DISPLAY="no"
         fi
-    elif test "$wxUSE_MSW" = 1; then
-        { echo "$as_me:$LINENO: checking for ddraw.h" >&5
-echo $ECHO_N "checking for ddraw.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_ddraw_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <windows.h>
-
-#include <ddraw.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_cv_header_ddraw_h=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_header_ddraw_h=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_ddraw_h" >&5
-echo "${ECHO_T}$ac_cv_header_ddraw_h" >&6; }
-
-
     fi
 fi
 
@@ -33493,7 +34326,7 @@ if test "$wxUSE_DETECT_SM" = "yes"; then
 echo $ECHO_N "checking for -lSM - X11 session management... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libSM.$ac_extension"; then
@@ -33551,7 +34384,7 @@ if test "$wxUSE_OPENGL" = "yes" -o "$wxUSE_OPENGL" = "auto"; then
 echo $ECHO_N "checking for OpenGL headers... $ECHO_C" >&6; }
 
 ac_find_includes=
-for ac_dir in $SEARCH_INCLUDE /opt/graphics/OpenGL/include /usr/include;
+for ac_dir in $SEARCH_INCLUDE /opt/graphics/OpenGL/include /usr/include
   do
     if test -f "$ac_dir/GL/gl.h"; then
       ac_find_includes=$ac_dir
@@ -33679,7 +34512,7 @@ if test $ac_cv_header_GL_glu_h = yes; then
 echo $ECHO_N "checking for -lGL... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB /opt/graphics/OpenGL/lib;
+  for ac_dir in $SEARCH_LIB /opt/graphics/OpenGL/lib
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libGL.$ac_extension"; then
@@ -33714,7 +34547,7 @@ echo "${ECHO_T}found in $ac_find_libraries" >&6; }
 echo $ECHO_N "checking for -lGLU... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libGLU.$ac_extension"; then
@@ -33761,7 +34594,7 @@ echo "${ECHO_T}no" >&6; }
 echo $ECHO_N "checking for -lMesaGL... $ECHO_C" >&6; }
 
   ac_find_libraries=
-  for ac_dir in $SEARCH_LIB;
+  for ac_dir in $SEARCH_LIB
   do
     for ac_extension in a so sl dylib dll.a; do
       if test -f "$ac_dir/libMesaGL.$ac_extension"; then
@@ -35155,14 +35988,8 @@ _ACEOF
 fi
 
 
-if test "$wxUSE_WCHAR_T" = "yes"; then
-    cat >>confdefs.h <<\_ACEOF
-#define wxUSE_WCHAR_T 1
-_ACEOF
-
-
-        WCSLEN_FOUND=0
-    WCHAR_LINK=
+WCSLEN_FOUND=0
+WCHAR_LINK=
 
 for ac_func in wcslen
 do
@@ -35258,9 +36085,9 @@ fi
 done
 
 
-    if test "$WCSLEN_FOUND" = 0; then
-        if test "$TOOLKIT" = "MSW"; then
-            { echo "$as_me:$LINENO: checking for wcslen in -lmsvcrt" >&5
+if test "$WCSLEN_FOUND" = 0; then
+    if test "$TOOLKIT" = "MSW"; then
+        { echo "$as_me:$LINENO: checking for wcslen in -lmsvcrt" >&5
 echo $ECHO_N "checking for wcslen in -lmsvcrt... $ECHO_C" >&6; }
 if test "${ac_cv_lib_msvcrt_wcslen+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -35325,8 +36152,8 @@ if test $ac_cv_lib_msvcrt_wcslen = yes; then
   WCHAR_OK=1
 fi
 
-        else
-            { echo "$as_me:$LINENO: checking for wcslen in -lw" >&5
+    else
+        { echo "$as_me:$LINENO: checking for wcslen in -lw" >&5
 echo $ECHO_N "checking for wcslen in -lw... $ECHO_C" >&6; }
 if test "${ac_cv_lib_w_wcslen+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 echo "${ECHO_T}$ac_cv_lib_w_wcslen" >&6; }
 if test $ac_cv_lib_w_wcslen = yes; then
 
-                            WCHAR_LINK=" -lw"
-                            WCSLEN_FOUND=1
+                        WCHAR_LINK=" -lw"
+                        WCSLEN_FOUND=1
 
 fi
 
-        fi
     fi
+fi
 
-    if test "$WCSLEN_FOUND" = 1; then
-        cat >>confdefs.h <<\_ACEOF
+if test "$WCSLEN_FOUND" = 1; then
+    cat >>confdefs.h <<\_ACEOF
 #define HAVE_WCSLEN 1
 _ACEOF
 
-    fi
+fi
 
 
 
 
 
 
-for ac_func in wcsdup strnlen wcsnlen wcscasecmp wcsncasecmp
+
+for ac_func in wcsdup wcsftime strnlen wcsnlen wcscasecmp wcsncasecmp
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 { echo "$as_me:$LINENO: checking for $ac_func" >&5
 done
 
 
-                    if test "$USE_HPUX" = 1 -a "$GCC" != "yes"; then
-        CPPFLAGS="-D_INCLUDE__STDC_A1_SOURCE $CPPFLAGS"
-    fi
+if test "$USE_HPUX" = 1 -a "$GCC" != "yes"; then
+    CPPFLAGS="-D_INCLUDE__STDC_A1_SOURCE $CPPFLAGS"
+fi
 
-                { echo "$as_me:$LINENO: checking for mbstate_t" >&5
+{ echo "$as_me:$LINENO: checking for mbstate_t" >&5
 echo $ECHO_N "checking for mbstate_t... $ECHO_C" >&6; }
 if test "${ac_cv_type_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -35663,10 +36491,6 @@ done
 
 fi
 
-else
-    { echo "$as_me:$LINENO: WARNING: Wide character support is unavailable" >&5
-echo "$as_me: WARNING: Wide character support is unavailable" >&2;}
-fi
 
 
 
@@ -39348,6 +40172,10 @@ echo "$as_me: WARNING: BeOS threads are not yet supported... disabled" >&2;}
                 fi
                 ;;
 
+          *-*-qnx*)
+                                                THREAD_OPTS=""
+                ;;
+
           *-*-*UnixWare*)
                                 if test "x$GCC" != "xyes"; then
                     THREAD_OPTS="-Ethread"
@@ -39355,7 +40183,15 @@ echo "$as_me: WARNING: BeOS threads are not yet supported... disabled" >&2;}
                 ;;
         esac
 
-                                THREAD_OPTS="$THREAD_OPTS pthread none"
+        case "${host}" in
+            *-*-qnx*)
+                                                                THREAD_OPTS="none pthread"
+                ;;
+
+            *)
+                                                                                THREAD_OPTS="$THREAD_OPTS pthread none"
+                ;;
+        esac
 
                 THREADS_OK=no
         for flag in $THREAD_OPTS; do
@@ -41890,6 +42726,8 @@ if test "$wxUSE_DEBUG_GDB" = "yes" ; then
 fi
 
 if test "$wxUSE_DEBUG_FLAG" = "no" ; then
+    WXCONFIG_CPPFLAGS="$WXCONFIG_CPPFLAGS -DwxDEBUG_LEVEL=0"
+
     if test "$wxUSE_GTK" = 1 ; then
         if test "x$wxGTK_VERSION" = "x1" ; then
             CPPFLAGS="-DGTK_NO_CHECK_CASTS $CPPFLAGS"
@@ -41924,7 +42762,7 @@ fi
 
 if test "$GCC" = "yes" ; then
     if test "$wxUSE_NO_RTTI" = "yes" ; then
-        WXCONFIG_CXXFLAGS="$WXCONFIG_CXXFLAGS -fno-rtti"
+                                WXCONFIG_CXXFLAGS="$WXCONFIG_CXXFLAGS -DwxNO_RTTI -fno-rtti"
     fi
     if test "$wxUSE_NO_EXCEPTIONS" = "yes" ; then
         WXCONFIG_CXXFLAGS="$WXCONFIG_CXXFLAGS -fno-exceptions"
@@ -43902,6 +44740,13 @@ _ACEOF
   fi
 fi
 
+if test "$wxUSE_FILE_HISTORY" = "yes"; then
+  cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FILE_HISTORY 1
+_ACEOF
+
+fi
+
 if test "$wxUSE_FILESYSTEM" = "yes"; then
   if test "$wxUSE_STREAMS" != yes -o \( "$wxUSE_FILE" != yes -a "$wxUSE_FFILE" != yes \); then
     { echo "$as_me:$LINENO: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&5
@@ -46154,6 +46999,14 @@ _ACEOF
 
 fi
 
+if test "$wxUSE_UIACTIONSIMULATOR" = "yes" ; then
+    cat >>confdefs.h <<\_ACEOF
+#define wxUSE_UIACTIONSIMULATOR 1
+_ACEOF
+
+    SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS uiaction"
+fi
+
 
 USES_CONTROLS=0
 if test "$wxUSE_CONTROLS" = "yes"; then
@@ -46236,6 +47089,14 @@ _ACEOF
   USES_CONTROLS=1
 fi
 
+if test "$wxUSE_COMMANDLINKBUTTON" = "yes"; then
+  cat >>confdefs.h <<\_ACEOF
+#define wxUSE_COMMANDLINKBUTTON 1
+_ACEOF
+
+  USES_CONTROLS=1
+fi
+
 if test "$wxUSE_CHOICE" = "yes"; then
   cat >>confdefs.h <<\_ACEOF
 #define wxUSE_CHOICE 1
@@ -46487,6 +47348,13 @@ _ACEOF
 
 fi
 
+if test "$wxUSE_RICHMSGDLG" = "yes"; then
+    cat >>confdefs.h <<\_ACEOF
+#define wxUSE_RICHMSGDLG 1
+_ACEOF
+
+fi
+
 if test "$wxUSE_SASH" = "yes"; then
     cat >>confdefs.h <<\_ACEOF
 #define wxUSE_SASH 1
@@ -46752,6 +47620,30 @@ _ACEOF
     SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS access"
 fi
 
+if test "$wxUSE_ARTPROVIDER_STD" = "yes"; then
+    cat >>confdefs.h <<\_ACEOF
+#define wxUSE_ARTPROVIDER_STD 1
+_ACEOF
+
+fi
+
+if test "$wxUSE_ARTPROVIDER_TANGO" = "auto"; then
+            if test "$wxUSE_GTK" != 1; then
+                if test "$wxUSE_LIBPNG" != no -a \
+                "$wxUSE_IMAGE" = yes -a \
+                "$wxUSE_STREAMS" = yes; then
+            wxUSE_ARTPROVIDER_TANGO="yes"
+        fi
+    fi
+fi
+
+if test "$wxUSE_ARTPROVIDER_TANGO" = "yes"; then
+    cat >>confdefs.h <<\_ACEOF
+#define wxUSE_ARTPROVIDER_TANGO 1
+_ACEOF
+
+fi
+
 if test "$wxUSE_DRAGIMAGE" = "yes"; then
     cat >>confdefs.h <<\_ACEOF
 #define wxUSE_DRAGIMAGE 1
@@ -47300,7 +48192,8 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <gdiplus.h>
+#include <windows.h>
+                     #include <gdiplus.h>
 int
 main ()
 {
@@ -47352,7 +48245,7 @@ echo "${ECHO_T}$wx_cv_lib_gdiplus" >&6; }
         if test "$wx_cv_lib_gdiplus" = "yes"; then
             wx_has_graphics=1
         fi
-    elif test "$wxUSE_GTK" = 1; then
+    elif test "$wxUSE_GTK" = 1 -o "$wxUSE_X11" = 1; then
 
 pkg_failed=no
 { echo "$as_me:$LINENO: checking for CAIRO" >&5
@@ -47426,6 +48319,17 @@ else
 echo "${ECHO_T}yes" >&6; }
        wx_has_graphics=1
 fi
+        if test "$wx_has_graphics" = 1; then
+            cat >>confdefs.h <<\_ACEOF
+#define wxUSE_CAIRO 1
+_ACEOF
+
+
+                                    if test "$wxUSE_GTK" != 1; then
+                CPPFLAGS="$CAIRO_CFLAGS $CPPFLAGS"
+                GUI_TK_LIBRARY="$GUI_TK_LIBRARY $CAIRO_LIBS"
+            fi
+        fi
     else
                 wx_has_graphics=1
     fi
 EXTRA_FRAMEWORKS=
 if test "$wxUSE_MAC" = 1 ; then
     if test "$USE_DARWIN" = 1; then
-        EXTRA_FRAMEWORKS="-framework IOKit -framework Carbon -framework Cocoa -framework AudioToolbox -framework System -framework OpenGL -framework QuickTime"
+        if test "$wxUSE_OSX_IPHONE" = 1; then
+            EXTRA_FRAMEWORKS="-framework IOKit -framework UIKit -framework CFNetwork -framework AudioToolbox -framework CoreFoundation -framework CoreGraphics -framework OpenGLES -framework Foundation -framework QuartzCore"
+        else
+            EXTRA_FRAMEWORKS="-framework IOKit -framework Carbon -framework Cocoa -framework AudioToolbox -framework System -framework OpenGL -framework QuickTime"
+        fi
     fi
 fi
 if test "$wxUSE_OLD_COCOA" = 1 ; then
 
 
 
-    BAKEFILE_BAKEFILE_M4_VERSION="0.2.8"
+    BAKEFILE_BAKEFILE_M4_VERSION="0.2.9"
 
 
-BAKEFILE_AUTOCONF_INC_M4_VERSION="0.2.8"
+BAKEFILE_AUTOCONF_INC_M4_VERSION="0.2.9"
 
 
 
@@ -50722,6 +51630,16 @@ EOF
         COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0=""
     fi
 
+    COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1="#"
+    if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" ; then
+        COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1=""
+    fi
+
+    COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0="#"
+    if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+        COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0=""
+    fi
+
     COND_PLATFORM_MACOSX_1_USE_GUI_1="#"
     if test "x$PLATFORM_MACOSX" = "x1" -a "x$USE_GUI" = "x1" ; then
         COND_PLATFORM_MACOSX_1_USE_GUI_1=""
@@ -51027,6 +51945,16 @@ EOF
         COND_TOOLKIT_OSX_IPHONE=""
     fi
 
+    COND_TOOLKIT_OSX_IPHONE_USE_GUI_1="#"
+    if test "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" ; then
+        COND_TOOLKIT_OSX_IPHONE_USE_GUI_1=""
+    fi
+
+    COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0="#"
+    if test "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+        COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0=""
+    fi
+
     COND_TOOLKIT_PM="#"
     if test "x$TOOLKIT" = "xPM" ; then
         COND_TOOLKIT_PM=""
@@ -51335,7 +52263,7 @@ echo "$as_me: error: Required windres program not found" >&2;}
    { (exit 1); exit 1; }; }
     fi
 
-    RESCOMP="$WINDRES $WINDRES_CPU_DEFINE"
+    RESCOMP="$WINDRES"
 fi
 
 if test "$wxUSE_MAC" = 1 -o "$wxUSE_OLD_COCOA" = 1; then
@@ -52183,7 +53111,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by wxWidgets $as_me 2.9.1, which was
+This file was extended by wxWidgets $as_me 2.9.2, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -52236,7 +53164,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-wxWidgets config.status 2.9.1
+wxWidgets config.status 2.9.2
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -52491,6 +53419,7 @@ CXXFLAGS!$CXXFLAGS$ac_delim
 ac_ct_CXX!$ac_ct_CXX$ac_delim
 AR!$AR$ac_delim
 OSX_SW_VERS!$OSX_SW_VERS$ac_delim
+CXXCPP!$CXXCPP$ac_delim
 subdirs!$subdirs$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
 GTK_CFLAGS!$GTK_CFLAGS$ac_delim
@@ -52526,7 +53455,6 @@ HILDON_CFLAGS!$HILDON_CFLAGS$ac_delim
 HILDON_LIBS!$HILDON_LIBS$ac_delim
 HILDON2_CFLAGS!$HILDON2_CFLAGS$ac_delim
 HILDON2_LIBS!$HILDON2_LIBS$ac_delim
-PYTHON!$PYTHON$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52568,6 +53496,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+PYTHON!$PYTHON$ac_delim
 COND_PYTHON!$COND_PYTHON$ac_delim
 CAIRO_CFLAGS!$CAIRO_CFLAGS$ac_delim
 CAIRO_LIBS!$CAIRO_LIBS$ac_delim
@@ -52664,7 +53593,6 @@ BK_DEPS!$BK_DEPS$ac_delim
 WINDRES!$WINDRES$ac_delim
 REZ!$REZ$ac_delim
 SETFILE!$SETFILE$ac_delim
-OBJCXXFLAGS!$OBJCXXFLAGS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52706,6 +53634,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+OBJCXXFLAGS!$OBJCXXFLAGS$ac_delim
 GCC_PCH!$GCC_PCH$ac_delim
 ICC_PCH!$ICC_PCH$ac_delim
 ICC_PCH_CREATE_SWITCH!$ICC_PCH_CREATE_SWITCH$ac_delim
@@ -52785,6 +53714,8 @@ COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOL
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0$ac_delim
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1$ac_delim
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0$ac_delim
 COND_PLATFORM_MACOSX_1_USE_GUI_1!$COND_PLATFORM_MACOSX_1_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_USE_OPENGL_1!$COND_PLATFORM_MACOSX_1_USE_OPENGL_1$ac_delim
 COND_PLATFORM_MACOSX_1_USE_SOVERSION_1!$COND_PLATFORM_MACOSX_1_USE_SOVERSION_1$ac_delim
@@ -52800,9 +53731,6 @@ COND_PLATFORM_UNIX_1_TOOLKIT_MGL!$COND_PLATFORM_UNIX_1_TOOLKIT_MGL$ac_delim
 COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1!$COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1$ac_delim
 COND_PLATFORM_UNIX_1_USE_GUI_1!$COND_PLATFORM_UNIX_1_USE_GUI_1$ac_delim
 COND_PLATFORM_UNIX_1_USE_PLUGINS_0!$COND_PLATFORM_UNIX_1_USE_PLUGINS_0$ac_delim
-COND_PLATFORM_WIN32_0!$COND_PLATFORM_WIN32_0$ac_delim
-COND_PLATFORM_WIN32_1!$COND_PLATFORM_WIN32_1$ac_delim
-COND_PLATFORM_WIN32_1_SHARED_0!$COND_PLATFORM_WIN32_1_SHARED_0$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52844,6 +53772,9 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+COND_PLATFORM_WIN32_0!$COND_PLATFORM_WIN32_0$ac_delim
+COND_PLATFORM_WIN32_1!$COND_PLATFORM_WIN32_1$ac_delim
+COND_PLATFORM_WIN32_1_SHARED_0!$COND_PLATFORM_WIN32_1_SHARED_0$ac_delim
 COND_SHARED_0!$COND_SHARED_0$ac_delim
 COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0!$COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0$ac_delim
 COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0!$COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0$ac_delim
@@ -52887,6 +53818,8 @@ COND_TOOLKIT_OSX_CARBON_USE_GUI_1!$COND_TOOLKIT_OSX_CARBON_USE_GUI_1$ac_delim
 COND_TOOLKIT_OSX_COCOA!$COND_TOOLKIT_OSX_COCOA$ac_delim
 COND_TOOLKIT_OSX_COCOA_USE_GUI_1!$COND_TOOLKIT_OSX_COCOA_USE_GUI_1$ac_delim
 COND_TOOLKIT_OSX_IPHONE!$COND_TOOLKIT_OSX_IPHONE$ac_delim
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1!$COND_TOOLKIT_OSX_IPHONE_USE_GUI_1$ac_delim
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0!$COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0$ac_delim
 COND_TOOLKIT_PM!$COND_TOOLKIT_PM$ac_delim
 COND_TOOLKIT_PM_USE_GUI_1!$COND_TOOLKIT_PM_USE_GUI_1$ac_delim
 COND_TOOLKIT_PM_USE_GUI_1_WXUNIV_0!$COND_TOOLKIT_PM_USE_GUI_1_WXUNIV_0$ac_delim
@@ -52936,11 +53869,6 @@ COND_WXUSE_LIBPNG_BUILTIN!$COND_WXUSE_LIBPNG_BUILTIN$ac_delim
 COND_WXUSE_LIBTIFF_BUILTIN!$COND_WXUSE_LIBTIFF_BUILTIN$ac_delim
 COND_WXUSE_REGEX_BUILTIN!$COND_WXUSE_REGEX_BUILTIN$ac_delim
 COND_WXUSE_ZLIB_BUILTIN!$COND_WXUSE_ZLIB_BUILTIN$ac_delim
-COND_wxUSE_EXPAT_builtin!$COND_wxUSE_EXPAT_builtin$ac_delim
-COND_wxUSE_LIBJPEG_builtin!$COND_wxUSE_LIBJPEG_builtin$ac_delim
-COND_wxUSE_LIBPNG_builtin!$COND_wxUSE_LIBPNG_builtin$ac_delim
-COND_wxUSE_LIBTIFF_builtin!$COND_wxUSE_LIBTIFF_builtin$ac_delim
-COND_wxUSE_REGEX_builtin!$COND_wxUSE_REGEX_builtin$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52982,6 +53910,11 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+COND_wxUSE_EXPAT_builtin!$COND_wxUSE_EXPAT_builtin$ac_delim
+COND_wxUSE_LIBJPEG_builtin!$COND_wxUSE_LIBJPEG_builtin$ac_delim
+COND_wxUSE_LIBPNG_builtin!$COND_wxUSE_LIBPNG_builtin$ac_delim
+COND_wxUSE_LIBTIFF_builtin!$COND_wxUSE_LIBTIFF_builtin$ac_delim
+COND_wxUSE_REGEX_builtin!$COND_wxUSE_REGEX_builtin$ac_delim
 COND_wxUSE_ZLIB_builtin!$COND_wxUSE_ZLIB_builtin$ac_delim
 DEREZ!$DEREZ$ac_delim
 SHARED!$SHARED$ac_delim
@@ -53030,7 +53963,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 51; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5